
Partial Class Customers_Default3
    Inherits System.Web.UI.Page
    Dim Kdnrtext As String = String.Empty
    Dim Filialennumnmer As String = String.Empty
    Dim Abfertigungsnummer As String = String.Empty
    Dim RK_ID As String = String.Empty
    Protected Sub Page_Load(sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        VERAG_VARIABLES.initerrorcount()
        If Me.Page.User.Identity.IsAuthenticated Then
            Try
                Kdnrtext = Session.Item("CustomerID")
                Filialennumnmer = Request.QueryString.Get("P1")
                Abfertigungsnummer = Request.QueryString.Get("P2")
                RK_ID = Request.QueryString.Get("P3")
            Catch A As UnauthorizedAccessException When String.IsNullOrEmpty(Kdnrtext)
                MsgBox("Dieser Bereich ist nicht gestattet! Ein Fehler ist bei der Validierung der ID aufgetreten! Bitte erneut versuchen!", MsgBoxStyle.Information, "Error in User Area!")
            End Try
        Else
            FormsAuthentication.RedirectToLoginPage()
        End If
        If Page.IsPostBack = True Then
            Page.MaintainScrollPositionOnPostBack = True
        Else
            Page.MaintainScrollPositionOnPostBack = False
            If String.IsNullOrEmpty(Filialennumnmer) = True AndAlso String.IsNullOrEmpty(Abfertigungsnummer) = True AndAlso String.IsNullOrEmpty(RK_ID) = True AndAlso String.IsNullOrEmpty(Kdnrtext) = True Then

            End If
        End If
    End Sub
End Class
